@charset "UTF-8";

/* アクセシビリティ対策 */
.visuallyHidden {
  border: 0;
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

.sp-menu {
  display: none;
}

/* PCのnavメニュー */
.pc-menu {
  margin: 0 auto;
  padding-left: 4%;
  position: absolute;
  top: 47px;
  z-index: 2;
}

.pc-menu-list {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
  padding: 6px 40px 6px 20px;
  border: 5px solid var(--color-sub-black);
  border-radius: 30px;
  background: var(--color-text_white);
  /* max-width: 720px; */
}

.pc-menu-item h1 img {
  height: 32px;
}

.pc-menu-item a {
  display: block;
  color: var(--color-sub-black);
  font-weight: bold;
}

.pc-menu-item a:hover {
  color: var(--color-accent);
}

.copyright {
  font-size: 12px;
  text-align: center;
  margin-bottom: var(--size-xxl);
}

footer {
  padding-bottom: 70px;
}

@media screen and (max-width: 900px) {
  .pc-menu {
    display: none;
  }

  .sp-menu {
    display: block;
  }

  /* ハンバーガーボタンのスタイル */
  .hamburger {
    appearance: none;
    background-color: transparent;
    border: none;
    cursor: pointer;
    display: block;
    height: 32px;
    outline: none;
    position: fixed;
    right: 30px;
    top: 30px;
    transition: transform .6s, width .6s;
    width: 40px;
    z-index: 200;
  }

  /* ハンバーガーボタンのスタイル */
  .hamburger {
    appearance: none;
    background-color: black;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60px;
    width: 60px;
    position: fixed;
    right: 12px;
    top: 12px;
    z-index: 200;
    box-shadow: 0 0px 4px rgba(0, 0, 0, 0.2);
  }

  .hamburger:focus {
    outline: 2px solid orange;
  }

  /* ハンバーガーメニュー三本線 */
  .hamburger-line {
    background-color: white;
    height: 4px;
    position: relative;
    width: 24px;
    transition: transform 0.6s;
  }

  .hamburger-line::before,
  .hamburger-line::after {
    background-color: white;
    content: "";
    display: block;
    height: 4px;
    position: absolute;
    width: 24px;
    transition: transform 0.6s;
  }

  .hamburger-line::before {
    top: -8px;
  }

  .hamburger-line::after {
    top: 8px;
  }

  /* ハンバーガーメニュー三本線オープン時 */
  .hamburger[aria-expanded="true"] .hamburger-line {
    transform: rotate(-45deg);
  }

  .hamburger[aria-expanded="true"] .hamburger-line::before {
    transform: rotate(90deg);
    top: 0;
  }

  .hamburger[aria-expanded="true"] .hamburger-line::after {
    transform: rotate(90deg);
    top: 0;
  }

  /* オーバーレイのスタイル */
  .overlay {
    background-color: black;
    cursor: pointer;
    height: 100vh;
    left: 0;
    opacity: 0;
    position: fixed;
    top: 0;
    transition: opacity .6s, visibility .6s;
    visibility: hidden;
    width: 100vw;
    z-index: 10;
  }

  .overlay.active {
    opacity: .8;
    visibility: visible;
  }

  /* メニューのスタイル */
  .modal-container {
    background-color: white;
    height: 100%;
    position: fixed;
    right: -100%;
    transition: right .6s ease-in-out;
    width: 90%;
    max-width: 400px;
    z-index: 100;
  }

  .modal-container[aria-hidden="false"] {
    right: 0;
  }

  .menu-container {
    padding: 20% 5%;
  }

  .menu-item {
    border-bottom: 1px solid black;
  }

  .menu-link {
    padding: 12px;
    display: block;
  }

  .menu-close-btn {
    padding: 12px;
    font-size: 12px;
    text-align: right;
  }
}
